import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { IUser } from '../../models/user';

@Component({
  selector: 'fm-avatar',
  templateUrl: './avatar.component.html',
  styleUrls: ['./avatar.component.css']
})
export class AvatarComponent implements OnInit {

  @Input() user: IUser;
  @Input() bgColor: string;
  @Input() fgColor: string;
  @Input() size: number;
  @Input() round: boolean;

  @Output() click = new EventEmitter();
  
  constructor() { }

  ngOnInit(): void {
  }

  getName():string {
    if (!this.user) return null;
    if (this.user.firstName && this.user.lastName)
      return this.user.firstName + ' ' + this.user.lastName;
    return this.user.name;
  }

  onClick() {
    this.click.emit();
  }
}
